<html>
<head>
<title>OgreGLESSupport.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_9e680f2cca56003d76c91ad8153c6d1e.html">GLES</a>      </li>
      <li class="navelem"><a class="el" href="dir_2b7861191a86db021136edf07f6d3897.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreGLESSupport.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreGLESSupport_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2008 Renato Araujo Oliveira Filho &lt;renatox@gmail.com&gt;</span>
<a name="l00008"></a>00008 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00011"></a>00011 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00012"></a>00012 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00013"></a>00013 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00014"></a>00014 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00015"></a>00015 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00016"></a>00016 <span class="comment"></span>
<a name="l00017"></a>00017 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00018"></a>00018 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00019"></a>00019 <span class="comment"></span>
<a name="l00020"></a>00020 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00021"></a>00021 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00022"></a>00022 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00023"></a>00023 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00024"></a>00024 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00025"></a>00025 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00026"></a>00026 <span class="comment">THE SOFTWARE.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 
<a name="l00030"></a>00030 <span class="preprocessor">#ifndef __GLESSupport_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span><span class="preprocessor">#define __GLESSupport_H__</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreGLESPrerequisites_8h.html">OgreGLESPrerequisites.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderWindow_8h.html">OgreRenderWindow.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreConfigOptionMap_8h.html">OgreConfigOptionMap.h</a>&quot;</span>
<a name="l00036"></a>00036 
<a name="l00037"></a>00037 <span class="keyword">namespace </span>Ogre
<a name="l00038"></a>00038 {
<a name="l00039"></a>00039     <span class="keyword">class </span>GLESRenderSystem;
<a name="l00040"></a>00040     <span class="keyword">class </span>GLESPBuffer;
<a name="l00041"></a>00041 
<a name="l00042"></a><a class="code" href="classOgre_1_1GLESSupport.html">00042</a>     <span class="keyword">class </span><a class="code" href="OgreGLESPrerequisites_8h.html#aacfbc6e9783463d78a54316f63943b0a">_OgreGLESExport</a> <a class="code" href="classOgre_1_1GLESSupport.html">GLESSupport</a>
<a name="l00043"></a>00043     {
<a name="l00044"></a>00044         <span class="keyword">public</span>:
<a name="l00045"></a><a class="code" href="classOgre_1_1GLESSupport.html#a454b16b106337c1cb81f078af7d4b349">00045</a>             <a class="code" href="classOgre_1_1GLESSupport.html#a454b16b106337c1cb81f078af7d4b349">GLESSupport</a>() { }
<a name="l00046"></a><a class="code" href="classOgre_1_1GLESSupport.html#afdaea2db21d2ca99e90b1f0f3e053446">00046</a>             <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1GLESSupport.html#afdaea2db21d2ca99e90b1f0f3e053446">~GLESSupport</a>() { }
<a name="l00047"></a>00047 
<a name="l00053"></a>00053             <span class="keyword">virtual</span> <span class="keywordtype">void</span> addConfig() = 0;
<a name="l00054"></a>00054             <span class="keyword">virtual</span> <span class="keywordtype">void</span> setConfigOption(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;value);
<a name="l00055"></a>00055 
<a name="l00060"></a>00060             <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> validateConfig() = 0;
<a name="l00061"></a>00061             <span class="keyword">virtual</span> <a class="code" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a>&amp; getConfigOptions(<span class="keywordtype">void</span>);
<a name="l00062"></a>00062             <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>* createWindow(<span class="keywordtype">bool</span> autoCreateWindow,
<a name="l00063"></a>00063                                                <a class="code" href="classOgre_1_1GLESRenderSystem.html" title="Implementation of GL as a rendering system.">GLESRenderSystem</a> *renderSystem,
<a name="l00064"></a>00064                                                <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; windowTitle) = 0;
<a name="l00065"></a>00065 
<a name="l00067"></a>00067             <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>* newWindow(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name,
<a name="l00068"></a>00068                                             <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height,
<a name="l00069"></a>00069                                             <span class="keywordtype">bool</span> fullScreen,
<a name="l00070"></a>00070                                             <span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a> *miscParams = 0) = 0;
<a name="l00071"></a>00071 
<a name="l00075"></a><a class="code" href="classOgre_1_1GLESSupport.html#a34fc4cc251f4466759d3004dd3674b93">00075</a>             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getGLVendor(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00076"></a>00076 <span class="keyword">            </span>{
<a name="l00077"></a>00077                 <span class="keywordflow">return</span> mVendor;
<a name="l00078"></a>00078             }
<a name="l00079"></a>00079 
<a name="l00083"></a><a class="code" href="classOgre_1_1GLESSupport.html#a2258ed278d0417efc064f5c33ec3b0c1">00083</a>             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getGLVersion(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00084"></a>00084 <span class="keyword">            </span>{
<a name="l00085"></a>00085                 <span class="keywordflow">return</span> mVersion;
<a name="l00086"></a>00086             }
<a name="l00087"></a>00087 
<a name="l00091"></a>00091             <span class="keyword">virtual</span> <span class="keywordtype">void</span> *getProcAddress(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; procname) = 0;
<a name="l00092"></a>00092 
<a name="l00096"></a>00096             <span class="keyword">virtual</span> <span class="keywordtype">void</span> initialiseExtensions();
<a name="l00097"></a>00097 
<a name="l00101"></a>00101             <span class="keyword">virtual</span> <span class="keywordtype">bool</span> checkExtension(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; ext) <span class="keyword">const</span>;
<a name="l00102"></a>00102 
<a name="l00103"></a><a class="code" href="classOgre_1_1GLESSupport.html#a30b27014eed2901c03f71f24b79dceb7">00103</a>             <span class="keyword">virtual</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> getDisplayMonitorCount()<span class="keyword"> const</span>
<a name="l00104"></a>00104 <span class="keyword">            </span>{
<a name="l00105"></a>00105                 <span class="keywordflow">return</span> 1;
<a name="l00106"></a>00106             }
<a name="l00107"></a>00107 
<a name="l00111"></a>00111             <span class="keyword">virtual</span> <span class="keywordtype">void</span> start() = 0;
<a name="l00115"></a>00115             <span class="keyword">virtual</span> <span class="keywordtype">void</span> stop() = 0;
<a name="l00116"></a>00116 
<a name="l00117"></a>00117             <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1GLESPBuffer.html">GLESPBuffer</a> *createPBuffer(<a class="code" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe" title="Pixel component format.">PixelComponentType</a> format, <span class="keywordtype">size_t</span> width, <span class="keywordtype">size_t</span> height) = 0;
<a name="l00118"></a>00118         <span class="keyword">private</span>:
<a name="l00119"></a><a class="code" href="classOgre_1_1GLESSupport.html#addb2487947de3f042ed809766dd03a03">00119</a>             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1GLESSupport.html#addb2487947de3f042ed809766dd03a03">mVersion</a>;
<a name="l00120"></a><a class="code" href="classOgre_1_1GLESSupport.html#a75a3471bd4b286536331a6ceacdd3dad">00120</a>             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1GLESSupport.html#a75a3471bd4b286536331a6ceacdd3dad">mVendor</a>;
<a name="l00121"></a>00121 
<a name="l00122"></a>00122         <span class="keyword">protected</span>:
<a name="l00123"></a>00123             <span class="comment">// Stored options</span>
<a name="l00124"></a><a class="code" href="classOgre_1_1GLESSupport.html#a79409f5c2ffda886fca7a9b17d47edd8">00124</a>             <a class="code" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a> <a class="code" href="classOgre_1_1GLESSupport.html#a79409f5c2ffda886fca7a9b17d47edd8">mOptions</a>;
<a name="l00125"></a>00125 
<a name="l00126"></a>00126             <span class="comment">// This contains the complete list of supported extensions</span>
<a name="l00127"></a><a class="code" href="classOgre_1_1GLESSupport.html#a8581a423171332aed8bfcbff7aa8939a">00127</a>             std::set&lt;String&gt; <a class="code" href="classOgre_1_1GLESSupport.html#a8581a423171332aed8bfcbff7aa8939a">extensionList</a>;
<a name="l00128"></a>00128     };
<a name="l00129"></a>00129 
<a name="l00130"></a>00130 }
<a name="l00131"></a>00131 
<a name="l00132"></a>00132 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:50
</p>
</body>
</html>
